Linux cesa-www-main 6.1.0-49-cloud-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.174-1 (2026-05-26) x86_64
Apache/2.4.68 (Debian)
Server IP : 10.218.0.2 & Your IP : 216.73.217.79
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
sbin /
Delete
Unzip
Name
Size
Permission
Date
Action
ModemManager
2.01
MB
-rwxr-xr-x
2023-01-03 12:34
a2disconf
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2dismod
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2dissite
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2enconf
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2enmod
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2ensite
15.86
KB
-rwxr-xr-x
2026-06-12 05:08
a2query
9.6
KB
-rwxr-xr-x
2026-06-12 05:08
aa-remove-unknown
3.13
KB
-rwxr-xr-x
2023-02-14 11:49
aa-status
38.3
KB
-rwxr-xr-x
2023-02-14 11:49
aa-teardown
137
B
-rwxr-xr-x
2022-11-22 00:54
accessdb
14.46
KB
-rwxr-xr-x
2023-03-12 22:23
add-shell
1.03
KB
-rwxr-xr-x
2023-07-28 23:46
addgnupghome
3
KB
-rwxr-xr-x
2026-01-01 14:54
addgroup
47.25
KB
-rwxr-xr-x
2023-05-25 15:54
adduser
47.25
KB
-rwxr-xr-x
2023-05-25 15:54
agetty
67.49
KB
-rwxr-xr-x
2024-11-21 20:01
apache2
716.53
KB
-rwxr-xr-x
2026-06-12 05:08
apache2ctl
7.19
KB
-rwxr-xr-x
2026-06-12 05:08
apachectl
7.19
KB
-rwxr-xr-x
2026-06-12 05:08
apparmor_parser
1.39
MB
-rwxr-xr-x
2023-02-14 11:49
apparmor_status
38.3
KB
-rwxr-xr-x
2023-02-14 11:49
applygnupgdefaults
2.17
KB
-rwxr-xr-x
2026-01-01 14:54
arp
66.13
KB
-rwxr-xr-x
2025-05-26 19:27
arpd
104.48
KB
-rwxr-xr-x
2023-05-22 13:19
arptables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
arptables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
aspell-autobuildhash
13.36
KB
-rwxr-xr-x
2023-03-14 21:17
avahi-daemon
146.43
KB
-rwxr-xr-x
2024-12-19 07:01
badblocks
34.25
KB
-rwxr-xr-x
2025-06-06 17:12
biosdecode
27.13
KB
-rwxr-xr-x
2022-06-30 18:37
blkdeactivate
15.96
KB
-rwxr-xr-x
2022-10-19 19:37
blkdiscard
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
blkid
122.34
KB
-rwxr-xr-x
2024-11-21 20:01
blkmapd
54.34
KB
-rwxr-xr-x
2024-12-11 14:00
blkzone
78.31
KB
-rwxr-xr-x
2024-11-21 20:01
blockdev
78.31
KB
-rwxr-xr-x
2024-11-21 20:01
bridge
152.54
KB
-rwxr-xr-x
2023-05-22 13:19
capsh
53.29
KB
-rwxr-xr-x
2026-05-07 21:10
cgdisk
210.41
KB
-rwxr-xr-x
2022-10-16 12:32
chcpu
46.3
KB
-rwxr-xr-x
2024-11-21 20:01
check_forensic
952
B
-rwxr-xr-x
2011-04-26 15:10
chgpasswd
66.29
KB
-rwxr-xr-x
2025-12-14 14:00
chmem
66.31
KB
-rwxr-xr-x
2024-11-21 20:01
chpasswd
62.36
KB
-rwxr-xr-x
2025-12-14 14:00
chroot
46.98
KB
-rwxr-xr-x
2022-09-20 15:27
cifs.idmap
14.3
KB
-rwxr-xr-x
2022-08-26 14:06
cifs.upcall
38.52
KB
-rwxr-xr-x
2022-08-26 14:06
cpgr
60.43
KB
-rwxr-xr-x
2025-12-14 14:00
cppw
60.43
KB
-rwxr-xr-x
2025-12-14 14:00
cron
50.56
KB
-rwxr-xr-x
2023-03-02 07:33
ctrlaltdel
38.3
KB
-rwxr-xr-x
2024-11-21 20:01
dbconfig-generate-include
12.36
KB
-rwxr-xr-x
2023-02-16 12:37
dbconfig-load-include
5.57
KB
-rwxr-xr-x
2023-02-16 12:37
dcb
144.6
KB
-rwxr-xr-x
2023-05-22 13:19
debugfs
233.83
KB
-rwxr-xr-x
2025-06-06 17:12
delgroup
16.33
KB
-rwxr-xr-x
2023-05-25 15:54
deluser
16.33
KB
-rwxr-xr-x
2023-05-25 15:54
depmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
devlink
220.98
KB
-rwxr-xr-x
2023-05-22 13:19
dhclient
2.63
MB
-rwxr-xr-x
2023-04-17 12:20
dhclient-script
14.21
KB
-rwxr-xr-x
2023-04-17 12:20
dmidecode
127.16
KB
-rwxr-xr-x
2022-06-30 18:37
dmsetup
166.98
KB
-rwxr-xr-x
2022-10-19 19:37
dmstats
166.98
KB
-rwxr-xr-x
2022-10-19 19:37
dpkg-fsys-usrunmess
16.99
KB
-rwxr-xr-x
2026-03-07 12:15
dpkg-preconfigure
3.83
KB
-rwxr-xr-x
2023-01-08 21:50
dpkg-reconfigure
4.38
KB
-rwxr-xr-x
2023-01-08 21:50
dumpe2fs
30.31
KB
-rwxr-xr-x
2025-06-06 17:12
e2freefrag
14.3
KB
-rwxr-xr-x
2025-06-06 17:12
e2fsck
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
e2image
54.45
KB
-rwxr-xr-x
2025-06-06 17:12
e2label
114.52
KB
-rwxr-xr-x
2025-06-06 17:12
e2mmpstatus
30.31
KB
-rwxr-xr-x
2025-06-06 17:12
e2scrub
7.12
KB
-rwxr-xr-x
2025-06-06 17:12
e2scrub_all
5.27
KB
-rwxr-xr-x
2025-06-06 17:12
e2undo
22.3
KB
-rwxr-xr-x
2025-06-06 17:12
e4crypt
26.3
KB
-rwxr-xr-x
2025-06-06 17:12
e4defrag
30.23
KB
-rwxr-xr-x
2025-06-06 17:12
ebtables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ebtables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ethtool
592.45
KB
-rwxr-xr-x
2022-12-20 11:18
exicyclog
11.03
KB
-rwxr-xr-x
2026-05-27 16:52
exigrep
10.4
KB
-rwxr-xr-x
2026-05-27 16:52
exim
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
exim4
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
exim_checkaccess
4.74
KB
-rwxr-xr-x
2026-05-27 16:52
exim_convert4r4
72.76
KB
-rwxr-xr-x
2026-05-27 16:52
exim_dbmbuild
18.24
KB
-rwxr-xr-x
2026-05-27 16:52
exim_dumpdb
26.23
KB
-rwxr-xr-x
2026-05-27 16:52
exim_fixdb
34.23
KB
-rwxr-xr-x
2026-05-27 16:52
exim_lock
18.23
KB
-rwxr-xr-x
2026-05-27 16:52
exim_tidydb
30.23
KB
-rwxr-xr-x
2026-05-27 16:52
eximstats
148.03
KB
-rwxr-xr-x
2026-05-27 16:52
exinext
8.08
KB
-rwxr-xr-x
2026-05-27 16:52
exipick
59.25
KB
-rwxr-xr-x
2026-05-27 16:52
exiqgrep
5.42
KB
-rwxr-xr-x
2026-05-27 16:52
exiqsumm
5.04
KB
-rwxr-xr-x
2026-05-27 16:52
exiwhat
4.34
KB
-rwxr-xr-x
2026-05-27 16:52
exportfs
90.59
KB
-rwxr-xr-x
2024-12-11 14:00
faillock
14.24
KB
-rwxr-xr-x
2025-08-10 15:54
filefrag
18.26
KB
-rwxr-xr-x
2025-06-06 17:12
findfs
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
fixparts
74.4
KB
-rwxr-xr-x
2022-10-16 12:32
fsck
54.36
KB
-rwxr-xr-x
2024-11-21 20:01
fsck.cramfs
42.37
KB
-rwxr-xr-x
2024-11-21 20:01
fsck.ext2
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.ext3
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.ext4
348.27
KB
-rwxr-xr-x
2025-06-06 17:12
fsck.minix
122.34
KB
-rwxr-xr-x
2024-11-21 20:01
fsfreeze
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
fstab-decode
14.23
KB
-rwxr-xr-x
2023-04-03 06:25
fstrim
74.31
KB
-rwxr-xr-x
2024-11-21 20:01
gdisk
218.41
KB
-rwxr-xr-x
2022-10-16 12:32
genl
116.51
KB
-rwxr-xr-x
2023-05-22 13:19
getcap
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
getpcaps
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
getty
67.49
KB
-rwxr-xr-x
2024-11-21 20:01
groupadd
99.04
KB
-rwxr-xr-x
2025-12-14 14:00
groupdel
86.85
KB
-rwxr-xr-x
2025-12-14 14:00
groupmems
66.33
KB
-rwxr-xr-x
2025-12-14 14:00
groupmod
99.01
KB
-rwxr-xr-x
2025-12-14 14:00
grpck
66.3
KB
-rwxr-xr-x
2025-12-14 14:00
grpconv
58.14
KB
-rwxr-xr-x
2025-12-14 14:00
grpunconv
58.14
KB
-rwxr-xr-x
2025-12-14 14:00
grub-install
1.15
MB
-rwxr-xr-x
2026-04-01 20:03
grub-macbless
931.48
KB
-rwxr-xr-x
2026-04-01 20:03
grub-mkconfig
8.46
KB
-rwxr-xr-x
2026-04-01 20:03
grub-mkdevicemap
216.76
KB
-rwxr-xr-x
2026-04-01 20:03
grub-probe
939.79
KB
-rwxr-xr-x
2026-04-01 20:03
grub-reboot
4.73
KB
-rwxr-xr-x
2026-04-01 20:03
grub-set-default
3.47
KB
-rwxr-xr-x
2026-04-01 20:03
halt
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
haveged
30.8
KB
-rwxr-xr-x
2026-05-22 12:56
httxt2dbm
14.23
KB
-rwxr-xr-x
2026-06-12 05:08
hwclock
86.44
KB
-rwxr-xr-x
2024-11-21 20:01
iconvconfig
30.84
KB
-rwxr-xr-x
2026-04-27 20:14
ifconfig
82.01
KB
-rwxr-xr-x
2025-05-26 19:27
iio-sensor-proxy
67.06
KB
-rwxr-xr-x
2021-01-29 07:05
init
90.38
KB
-rwxr-xr-x
2026-04-27 19:48
insmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
install-sgmlcatalog
4.44
KB
-rwxr-xr-x
2022-10-06 18:03
installkernel
2.6
KB
-rwxr-xr-x
2023-07-28 23:46
invoke-rc.d
16.13
KB
-rwxr-xr-x
2022-07-04 10:14
ip
674.82
KB
-rwxr-xr-x
2023-05-22 13:19
ip6tables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-apply
6.87
KB
-rwxr-xr-x
2023-01-12 10:27
ip6tables-legacy
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-legacy-restore
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-legacy-save
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-restore-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ip6tables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
ipmaddr
18.56
KB
-rwxr-xr-x
2025-05-26 19:27
iptables
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-apply
6.87
KB
-rwxr-xr-x
2023-01-12 10:27
iptables-legacy
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-legacy-restore
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-legacy-save
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-nft-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-restore
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-restore-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-save
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptables-translate
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
iptunnel
26.55
KB
-rwxr-xr-x
2025-05-26 19:27
isosize
30.31
KB
-rwxr-xr-x
2024-11-21 20:01
ispell-autobuildhash
15.52
KB
-rwxr-xr-x
2023-03-14 21:17
key.dns_resolver
30.32
KB
-rwxr-xr-x
2022-12-18 21:15
killall5
26.31
KB
-rwxr-xr-x
2023-04-03 06:25
ldattach
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
ldconfig
959.84
KB
-rwxr-xr-x
2026-04-27 20:14
logrotate
98.16
KB
-rwxr-xr-x
2022-12-14 18:16
logsave
14.09
KB
-rwxr-xr-x
2025-06-06 17:12
losetup
114.42
KB
-rwxr-xr-x
2024-11-21 20:01
lsmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
make-ssl-cert
6.65
KB
-rwxr-xr-x
2021-12-30 16:52
mii-tool
27.08
KB
-rwxr-xr-x
2025-05-26 19:27
mke2fs
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.bfs
34.31
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.cramfs
42.24
KB
-rwxr-xr-x
2024-11-21 20:01
mkfs.ext2
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.ext3
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.ext4
138.58
KB
-rwxr-xr-x
2025-06-06 17:12
mkfs.minix
110.32
KB
-rwxr-xr-x
2024-11-21 20:01
mkhomedir_helper
22.27
KB
-rwxr-xr-x
2025-08-10 15:54
mkinitramfs
12.4
KB
-rwxr-xr-x
2025-04-26 20:00
mklost+found
14.23
KB
-rwxr-xr-x
2025-06-06 17:12
mkswap
114.31
KB
-rwxr-xr-x
2024-11-21 20:01
modinfo
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
modprobe
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
mount.cifs
47
KB
-rwsr-xr-x
2022-08-26 14:06
mount.nfs
127.01
KB
-rwsr-xr-x
2024-12-11 14:00
mount.nfs4
127.01
KB
-rwsr-xr-x
2024-12-11 14:00
mount.smb3
47
KB
-rwsr-xr-x
2022-08-26 14:06
mountstats
42.28
KB
-rwxr-xr-x
2024-12-11 14:00
nameif
14.65
KB
-rwxr-xr-x
2025-05-26 19:27
netplan
798
B
-rwxr-xr-x
2023-02-09 08:15
newusers
102.92
KB
-rwxr-xr-x
2025-12-14 14:00
nfnl_osf
18.23
KB
-rwxr-xr-x
2023-01-16 13:44
nfsconf
46.72
KB
-rwxr-xr-x
2024-12-11 14:00
nfsdcld
70.6
KB
-rwxr-xr-x
2024-12-11 14:00
nfsdclddb
9.99
KB
-rwxr-xr-x
2024-12-11 14:00
nfsdclnts
9.05
KB
-rwxr-xr-x
2024-12-11 14:00
nfsdcltrack
50.73
KB
-rwxr-xr-x
2024-12-11 14:00
nfsidmap
46.34
KB
-rwxr-xr-x
2024-12-11 14:00
nfsiostat
24.41
KB
-rwxr-xr-x
2024-12-11 14:00
nfsstat
37.2
KB
-rwxr-xr-x
2024-12-11 14:00
nologin
14.23
KB
-rwxr-xr-x
2025-12-14 14:00
nvme
919.27
KB
-rwxr-xr-x
2023-04-15 08:18
ownership
14.38
KB
-rwxr-xr-x
2022-06-30 18:37
pam-auth-update
20.79
KB
-rwxr-xr-x
2025-08-10 15:54
pam_getenv
2.82
KB
-rwxr-xr-x
2025-08-10 15:54
pam_namespace_helper
467
B
-rwxr-xr-x
2025-08-10 15:54
pam_timestamp_check
14.24
KB
-rwxr-xr-x
2025-08-10 15:54
paperconfig
4.07
KB
-rwxr-xr-x
2023-03-17 13:44
parted
86.33
KB
-rwxr-xr-x
2022-11-15 23:24
partprobe
14.3
KB
-rwxr-xr-x
2022-11-15 23:24
php-fpm7.2
4.72
MB
-rwxr-xr-x
2026-05-14 15:46
php-fpm7.4
4.56
MB
-rwxr-xr-x
2026-05-14 15:45
php-fpm8.1
5.28
MB
-rwxr-xr-x
2026-05-14 15:46
php-fpm8.4
5.7
MB
-rwxr-xr-x
2026-06-06 06:52
phpdismod
7.11
KB
-rwxr-xr-x
2026-05-03 07:49
phpenmod
7.11
KB
-rwxr-xr-x
2026-05-03 07:49
phpquery
6.24
KB
-rwxr-xr-x
2026-05-03 07:49
pivot_root
14.3
KB
-rwxr-xr-x
2024-11-21 20:01
plipconfig
14.48
KB
-rwxr-xr-x
2025-05-26 19:27
poweroff
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
pwck
58.26
KB
-rwxr-xr-x
2025-12-14 14:00
pwconv
54.13
KB
-rwxr-xr-x
2025-12-14 14:00
pwhistory_helper
18.24
KB
-rwxr-xr-x
2025-08-10 15:54
pwunconv
54.17
KB
-rwxr-xr-x
2025-12-14 14:00
rarp
37.13
KB
-rwxr-xr-x
2025-05-26 19:27
readprofile
34.34
KB
-rwxr-xr-x
2024-11-21 20:01
reboot
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
remove-default-ispell
2.86
KB
-rwxr-xr-x
2023-03-14 21:17
remove-default-wordlist
2.86
KB
-rwxr-xr-x
2023-03-14 21:17
remove-shell
1.08
KB
-rwxr-xr-x
2023-07-28 23:46
request-key
26.32
KB
-rwxr-xr-x
2022-12-18 21:15
resize2fs
62.3
KB
-rwxr-xr-x
2025-06-06 17:12
resolvconf
146.53
KB
-rwxr-xr-x
2026-04-27 19:48
rmail
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
rmmod
174.27
KB
-rwxr-xr-x
2022-12-10 00:02
rmt
59.02
KB
-rwxr-xr-x
2024-01-20 09:27
rmt-tar
59.02
KB
-rwxr-xr-x
2024-01-20 09:27
route
69.17
KB
-rwxr-xr-x
2025-05-26 19:27
rpc.gssd
106.57
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.idmapd
62.53
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.mountd
145.68
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.nfsd
50.88
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.statd
111.02
KB
-rwxr-xr-x
2024-12-11 14:00
rpc.svcgssd
62.54
KB
-rwxr-xr-x
2024-12-11 14:00
rpcbind
62.48
KB
-rwxr-xr-x
2022-10-09 21:12
rpcctl
9.42
KB
-rwxr-xr-x
2024-12-11 14:00
rpcdebug
18.3
KB
-rwxr-xr-x
2024-12-11 14:00
rpcinfo
34.39
KB
-rwxr-xr-x
2022-10-09 21:12
rsmtp
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
rsyslogd
731.79
KB
-rwxr-xr-x
2025-01-08 18:13
rtacct
44.37
KB
-rwxr-xr-x
2023-05-22 13:19
rtcwake
46.31
KB
-rwxr-xr-x
2024-11-21 20:01
rtmon
112.45
KB
-rwxr-xr-x
2023-05-22 13:19
runlevel
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
runq
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
runuser
70.31
KB
-rwxr-xr-x
2024-11-21 20:01
select-default-ispell
3.23
KB
-rwxr-xr-x
2023-03-14 21:17
select-default-wordlist
3.21
KB
-rwxr-xr-x
2023-03-14 21:17
sendmail
1.35
MB
-rwsr-xr-x
2026-05-27 16:52
service
8.89
KB
-rwxr-xr-x
2025-08-20 18:58
setcap
14.23
KB
-rwxr-xr-x
2026-05-07 21:10
sgdisk
202.41
KB
-rwxr-xr-x
2022-10-16 12:32
shadowconfig
2.22
KB
-rwxr-xr-x
2025-12-14 14:00
showmount
22.5
KB
-rwxr-xr-x
2024-12-11 14:00
shutdown
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
slattach
41.2
KB
-rwxr-xr-x
2025-05-26 19:27
sm-notify
78.51
KB
-rwxr-xr-x
2024-12-11 14:00
split-logfile
2.36
KB
-rwxr-xr-x
2026-06-12 05:08
sshd
1.21
MB
-rwxr-xr-x
2026-05-05 10:26
start-statd
1023
B
-rwxr-xr-x
2024-12-11 14:00
start-stop-daemon
43.42
KB
-rwxr-xr-x
2026-03-07 12:15
sudo_logsrvd
244.57
KB
-rwxr-xr-x
2026-04-11 12:01
sudo_sendlog
151.41
KB
-rwxr-xr-x
2026-04-11 12:01
sulogin
54.31
KB
-rwxr-xr-x
2024-11-21 20:01
swaplabel
18.3
KB
-rwxr-xr-x
2024-11-21 20:01
swapoff
22.3
KB
-rwxr-xr-x
2024-11-21 20:01
swapon
50.3
KB
-rwxr-xr-x
2024-11-21 20:01
switch_root
18.3
KB
-rwxr-xr-x
2024-11-21 20:01
sysctl
30.31
KB
-rwxr-xr-x
2022-12-19 06:06
syslog2eximlog
1.41
KB
-rwxr-xr-x
2026-05-27 16:52
tarcat
936
B
-rwxr-xr-x
2024-01-20 09:27
tc
574
KB
-rwxr-xr-x
2023-05-22 13:19
tcptraceroute
1.56
KB
-rwxr-xr-x
2023-02-25 12:24
tcptraceroute.db
1.56
KB
-rwxr-xr-x
2023-02-25 12:24
telinit
1.29
MB
-rwxr-xr-x
2026-04-27 19:48
tipc
152.6
KB
-rwxr-xr-x
2023-05-22 13:19
traceroute
71.23
KB
-rwxr-xr-x
2023-02-25 12:24
tune2fs
114.52
KB
-rwxr-xr-x
2025-06-06 17:12
umount.nfs
127.01
KB
-rwsr-xr-x
2024-12-11 14:00
umount.nfs4
127.01
KB
-rwsr-xr-x
2024-12-11 14:00
unix_chkpwd
38.24
KB
-rwxr-sr-x
2025-08-10 15:54
unix_update
38.24
KB
-rwxr-xr-x
2025-08-10 15:54
update-ca-certificates
5.54
KB
-rwxr-xr-x
2026-07-17 08:50
update-catalog
9.17
KB
-rwxr-xr-x
2022-10-06 18:03
update-default-aspell
1
KB
-rwxr-xr-x
2023-03-14 21:17
update-default-ispell
9.68
KB
-rwxr-xr-x
2023-03-14 21:17
update-default-wordlist
7.5
KB
-rwxr-xr-x
2023-03-14 21:17
update-dictcommon-aspell
1
KB
-rwxr-xr-x
2023-03-14 21:17
update-dictcommon-hunspell
782
B
-rwxr-xr-x
2023-03-14 21:17
update-exim4.conf
14.7
KB
-rwxr-xr-x
2026-05-27 16:52
update-exim4.conf.template
3.35
KB
-rwxr-xr-x
2025-11-24 05:52
update-exim4defaults
8.16
KB
-rwxr-xr-x
2026-05-27 16:52
update-fonts-alias
5.71
KB
-rwxr-xr-x
2016-08-21 16:54
update-fonts-dir
3.98
KB
-rwxr-xr-x
2016-08-21 16:54
update-fonts-scale
6.1
KB
-rwxr-xr-x
2016-08-21 16:54
update-grub
64
B
-rwxr-xr-x
2026-03-31 19:41
update-grub2
64
B
-rwxr-xr-x
2026-03-31 19:41
update-gsfontmap
470
B
-rwxr-xr-x
2025-10-05 08:11
update-icon-caches
596
B
-rwxr-xr-x
2024-07-19 10:57
update-initramfs
6.75
KB
-rwxr-xr-x
2025-04-24 15:40
update-passwd
38.49
KB
-rwxr-xr-x
2022-09-20 10:22
update-pciids
1.71
KB
-rwxr-xr-x
2023-01-17 23:50
update-rc.d
17.33
KB
-rwxr-xr-x
2025-08-20 18:56
update-secureboot-policy
5.13
KB
-rwxr-xr-x
2026-06-22 21:30
update-shells
3.89
KB
-rwxr-xr-x
2023-07-28 23:46
update-xmlcatalog
16.88
KB
-rwxr-xr-x
2019-02-27 00:18
usb_modeswitch
59.59
KB
-rwxr-xr-x
2022-05-31 23:53
usb_modeswitch_dispatcher
34.08
KB
-rwxr-xr-x
2022-05-31 23:53
useradd
155.8
KB
-rwxr-xr-x
2025-12-14 14:00
userdel
110.95
KB
-rwxr-xr-x
2025-12-14 14:00
usermod
143.61
KB
-rwxr-xr-x
2025-12-14 14:00
uuidd
38.81
KB
-rwxr-xr-x
2024-11-21 20:01
vdpa
116.66
KB
-rwxr-xr-x
2023-05-22 13:19
vigr
72.64
KB
-rwxr-xr-x
2025-12-14 14:00
vipw
72.64
KB
-rwxr-xr-x
2025-12-14 14:00
visudo
256.63
KB
-rwxr-xr-x
2026-04-11 12:01
vpddecode
14.51
KB
-rwxr-xr-x
2022-06-30 18:37
wipefs
46.31
KB
-rwxr-xr-x
2024-11-21 20:01
wpa_action
1.69
KB
-rwxr-xr-x
2025-04-11 14:29
wpa_cli
160.24
KB
-rwxr-xr-x
2025-04-11 14:29
wpa_supplicant
3.21
MB
-rwxr-xr-x
2025-04-11 14:29
xtables-legacy-multi
88.98
KB
-rwxr-xr-x
2023-01-16 13:44
xtables-monitor
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
xtables-nft-multi
223.16
KB
-rwxr-xr-x
2023-01-16 13:44
zic
58.73
KB
-rwxr-xr-x
2026-04-27 20:14
zramctl
114.42
KB
-rwxr-xr-x
2024-11-21 20:01
Save
Rename
#!/bin/bash -e # This is a mockup of a script to produce a snakeoil cert # The aim is to have a debconfisable ssl-certificate script # shellcheck source=/dev/null disable=SC1091 . /usr/share/debconf/confmodule db_version 2.0 db_capb backup progname=$(basename "${0}") usage() { cat <<EOF Usage: ${progname} [options] <template> <output> ${progname} [options] generate-default-snakeoil Options: -h,--help This usage text -f,--force-overwrite Overwrite existing .pem and .key files -n,--no-overwrite Never overwrite existing snakeoil .pem and .key files, even if algorithms are out of date -x,--expiration-days <N> Override default expiration time EOF exit "${1}"; } ask_via_debconf() { RET="" if db_settitle make-ssl-cert/title ; then : # OK else echo "Debconf failed with error code $? $RET" >&2 echo "Maybe your debconf database is corrupt." >&2 echo "Try re-installing ssl-cert." >&2 fi RET="" while [ "x$RET" = "x" ]; do db_fset make-ssl-cert/hostname seen false db_input high make-ssl-cert/hostname || true db_go db_get make-ssl-cert/hostname done db_get make-ssl-cert/hostname HostName="$RET" db_fset make-ssl-cert/hostname seen false db_fset make-ssl-cert/altname seen false db_input high make-ssl-cert/altname || true db_go db_get make-ssl-cert/altname AddAltName="$RET" db_fset make-ssl-cert/altname seen false SubjectAltName="DNS:$HostName" [ -z "$AddAltName" ] || SubjectAltName="$SubjectAltName,$AddAltName" } make_snakeoil() { if ! HostName="$(hostname -f)" ; then HostName="$(hostname)" echo "make-ssl-cert: Could not get FQDN, using '$HostName'". echo "make-ssl-cert: You may want to fix your /etc/hosts and/or DNS setup and run" echo "make-ssl-cert: 'make-ssl-cert generate-default-snakeoil --force-overwrite'" echo "make-ssl-cert: again." fi SubjectAltName="DNS:$HostName" if [ ${#HostName} -gt 64 ] ; then # The certificate's common name cannot be longer than 64 chars. # Use the short name instead. HostName="$(hostname)" fi } create_temporary_cnf() { sed -e s#@HostName@#"$HostName"# -e s#@SubjectAltName@#"$SubjectAltName"# "${template}" > "${TMPFILE}" } create_hash_link() { local file="$1" local cryptfile filename i filename=$(basename "$file") cryptfile=$(dirname "$file")/$(openssl x509 -hash -noout -in "$file") i=0 while [ -L "${cryptfile}.$i" ] ; do if [ "$(readlink "${cryptfile}.$i")" = "$filename" ] ; then return 0 fi i=$(( i + 1 )) done ln -sf "$filename" "${cryptfile}.$i" } check_min_algo() { local file="$1" local bits if ! openssl x509 -text -in "$file" | grep -q 'Signature Algorithm:.*sha256' ; then echo "Signature algorithm of $file is not sha256. Recreating." >&2 return 1 fi bits=$(openssl x509 -text -in "$file" |grep -o "Public-Key: \\(.*\\)") # value: "Public-Key: (2048 bit)" bits="${bits##*\(}" bits="${bits% bit\)}" case "$bits" in [0-9][0-9][0-9][0-9]) ;; *) echo "WARNING: Cannot determine RSA key length" >&2 return 0 ;; esac if [ "$bits" -lt 2048 ] ; then echo "RSA key length of $file is $bits. Recreating with 2048 bits" >&2 return 1 fi return 0 } # Process arguments subcommand= template= opt_force_overwrite="false" opt_no_overwrite="false" opt_expiration_days="3650" # Transform long options to short ones newargs=() for arg in "${@}"; do case "${arg}" in --help) newargs+=(-h) ;; --force-overwrite) # Move to front so that we accept --force-overwrite at the end, for # compatibility with 1.0.x. newargs=("-f" "${newargs[@]}") ;; --no-overwrite) newargs+=(-n) ;; --expiration-days) newargs+=(-x) ;; --*) printf "Unrecognized option %s\n\n" "${arg}" usage 1 ;; *) newargs+=("$arg") ;; esac done set -- "${newargs[@]}" # Parse short options while getopts "hfnx:" opt "${@}"; do case "${opt}" in h) usage 0 ;; f) opt_force_overwrite="true" ;; n) opt_no_overwrite="true" ;; x) opt_expiration_days="${OPTIND}" ;; *) printf "Unrecognized option %s\n\n" "-${opt}" usage 1 ;; esac done shift "$((OPTIND - 1))" if $opt_force_overwrite && $opt_no_overwrite ; then usage 1 fi # Parse subcommand if [ "${1}" = "generate-default-snakeoil" ]; then subcommand="${1}" else subcommand="manual" template="${1}" fi # Takes two arguments, the base layout and the output cert. if [ "${subcommand}" = "manual" ]; then output="${2}" [ -n "${template}" ] || usage 1 [ -n "${output}" ] || usage 1 # be anal in manual mode. if [ ! -f "${template}" ]; then printf "Could not open template file: %s!\n" "${template}"; exit 1; fi if [ -f "${output}" ] && [ "${opt_force_overwrite}" != "true" ]; then printf "%s file already exists!\n" "${output}"; exit 1; fi ask_via_debconf elif [ "${subcommand}" = "generate-default-snakeoil" ]; then template="/usr/share/ssl-cert/ssleay.cnf" if [ -f "/etc/ssl/certs/ssl-cert-snakeoil.pem" ] && [ -f "/etc/ssl/private/ssl-cert-snakeoil.key" ]; then if "${opt_no_overwrite}" ; then exit 0 fi if ! "${opt_force_overwrite}" ; then if check_min_algo "/etc/ssl/certs/ssl-cert-snakeoil.pem" ; then exit 0 fi fi fi make_snakeoil else usage 1 fi # # should be a less common char # problem is that openssl virtually accepts everything and we need to # sacrifice one char. TMPFILE="$(mktemp)" || exit 1 TMPOUT="$(mktemp)" || exit 1 trap 'rm -f ${TMPFILE} ${TMPOUT}' EXIT create_temporary_cnf # create the certificate. umask 077 if [ "${subcommand}" = "manual" ]; then if ! openssl req -config "${TMPFILE}" -new -x509 -days "${opt_expiration_days}" -nodes -sha256 \ -out "${output}" -keyout "${output}" > "${TMPOUT}" 2>&1 then echo "Could not create certificate. Openssl output was:" >&2 cat "${TMPOUT}" >&2 exit 1 fi chmod 600 "${output}" create_hash_link "${output}" elif [ "${subcommand}" = "generate-default-snakeoil" ]; then if ! openssl req -config "${TMPFILE}" -new -x509 -days "${opt_expiration_days}" -nodes -sha256 \ -out /etc/ssl/certs/ssl-cert-snakeoil.pem \ -keyout /etc/ssl/private/ssl-cert-snakeoil.key > "${TMPOUT}" 2>&1 then echo "Could not create certificate. Openssl output was:" >&2 cat "${TMPOUT}" >&2 exit 1 fi chmod 644 /etc/ssl/certs/ssl-cert-snakeoil.pem chmod 640 /etc/ssl/private/ssl-cert-snakeoil.key chown root:ssl-cert /etc/ssl/private/ssl-cert-snakeoil.key create_hash_link /etc/ssl/certs/ssl-cert-snakeoil.pem else usage 1 fi